ONVIF::Analytics::Types::Dot11Configuration(3)

NAME
ONVIF::Analytics::Types::Dot11Configuration

DESCRIPTION
Perl data type class for the XML Schema defined complexType Dot11Configuration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SSID

•   Mode

•   Alias

•   Priority

•   Security

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::Dot11Configuration
   SSID => $some_value, # Dot11SSIDType
   Mode => $some_value, # Dot11StationMode
   Alias => $some_value, # Name
   Priority => $some_value, # NetworkInterfaceConfigPriority
   Security =>  { # ONVIF::Analytics::Types::Dot11SecurityConfiguration
     Mode => $some_value, # Dot11SecurityMode
     Algorithm => $some_value, # Dot11Cipher
     PSK =>  { # ONVIF::Analytics::Types::Dot11PSKSet
       Key => $some_value, # Dot11PSK
       Passphrase => $some_value, # Dot11PSKPassphrase
       Extension =>  { # ONVIF::Analytics::Types::Dot11PSKSetExtension
       },
     },
     Dot1X => $some_value, # ReferenceToken
     Extension =>  { # ONVIF::Analytics::Types::Dot11SecurityConfigurationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL